View Issue Details

IDProjectCategoryView StatusLast Update
0032826Open CASCADEOCCT:Data Exchangepublic2022-02-12 20:17
Reporterkgv Assigned Tokgv  
PrioritynormalSeveritytrivial 
Status verifiedResolutionfixed 
Product Version7.6.0 
Target Version7.7.0 
Summary0032826: Data Exchange - use OSD_FileSystem within RWStl::ReadAscii() and StepFile_Read()
DescriptionRWStl::ReadAscii() and StepFile_Read() should be ported to use OSD_FileSystem instead of OSD_OpenStream.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberN/A

Relationships

child of 0032455 verifiedmkrylova Data Exchange - replace OSD_OpenStream() usage with OSD_FileSystem::DefaultFileSystem() 

Activities

git

2022-02-09 21:16

administrator   ~0106828

Branch CR32826 has been created by kgv.

SHA-1: 6c32c0c304eb66baf57a97087a0fb998e1a8d03f


Detailed log of new commits:

Author: kgv
Date: Wed Feb 9 21:16:26 2022 +0300

    0032826: Data Exchange - use OSD_FileSystem within RWStl::ReadAscii() and StepFile_Read()

kgv

2022-02-09 22:59

developer   ~0106835

Please raise the patch
- OCCT: branch CR32826.

http://jenkins-test-occt.nnov.opencascade.com/view/CR32826-master-KGV/

smoskvin

2022-02-12 13:24

administrator   ~0106862

Combination -
OCCT branch : IR-2022-02-11
master SHA - 3d21fe1aeeee8d1aefdf6ff03aab1dca4ae4b310
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2022-02-11 SHA - 07f1dd65fb2caba3011759dfd7ab39455b488602
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18542.53000000038 / 18611.910000000662 [-0.37%]
Products
Total CPU difference: 11696.46000000009 / 11726.350000000115 [-0.25%]
Windows-64-VC14:
OCCT
Total CPU difference: 20386.203125 / 20337.953125 [+0.24%]
Products
Total CPU difference: 13150.375 / 13174.703125 [-0.18%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2022-02-12 20:17

administrator   ~0106873

Branch CR32826 has been deleted by mnt.

SHA-1: 6c32c0c304eb66baf57a97087a0fb998e1a8d03f

Related Changesets

occt: master 2922a73e

2022-02-09 21:16:26

kgv


Committer: smoskvin Details Diff
0032826: Data Exchange - use OSD_FileSystem within RWStl::ReadAscii() and StepFile_Read() Affected Issues
0032826
mod - src/RWStl/RWStl.cxx Diff File
mod - src/StepFile/StepFile_Read.cxx Diff File
mod - src/StepFile/StepFile_Read.hxx Diff File

Issue History

Date Modified Username Field Change
2022-02-09 21:15 kgv New Issue
2022-02-09 21:15 kgv Assigned To => kgv
2022-02-09 21:16 kgv Severity minor => trivial
2022-02-09 21:16 kgv Test case number => N/A
2022-02-09 21:16 git Note Added: 0106828
2022-02-09 21:18 kgv Relationship added child of 0032455
2022-02-09 22:59 kgv Assigned To kgv => bugmaster
2022-02-09 22:59 kgv Status new => resolved
2022-02-09 22:59 kgv Note Added: 0106835
2022-02-09 22:59 kgv Status resolved => reviewed
2022-02-12 13:24 smoskvin Status reviewed => tested
2022-02-12 13:24 smoskvin Note Added: 0106862
2022-02-12 20:14 smoskvin Changeset attached => occt master 2922a73e
2022-02-12 20:14 kgv Assigned To bugmaster => kgv
2022-02-12 20:14 kgv Status tested => verified
2022-02-12 20:14 kgv Resolution open => fixed
2022-02-12 20:17 git Note Added: 0106873